/*
 * Copyright: (c) 2004-2009 Mayo Foundation for Medical Education and 
 * Research (MFMER). All rights reserved. MAYO, MAYO CLINIC, and the
 * triple-shield Mayo logo are trademarks and service marks of MFMER.
 *
 * Except as contained in the copyright notice above, or as used to identify 
 * MFMER as the author of this software, the trade names, trademarks, service
 * marks, or product names of the copyright holder shall not be used in
 * advertising, promotion or otherwise in connection with this software without
 * prior written authorization of the copyright holder.
 * 
 * Licensed under the Eclipse Public License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at 
 * 
 * 		http://www.eclipse.org/legal/epl-v10.html
 * 
 */
package org.lexgrid.extension.revision.persistence;

public class LgRevisionConstants {

	/* ----------------------------------------- */
	/* -------------- Table Names -------------- */
	/* ----------------------------------------- */
	
	public static final String TBL_SYSTEM_RELELEASE = "systemRelease";
	public static final String TBL_REVISION = "revision";
	public static final String TBL_REVISION_TABLE_META_DATA = "revisionTableMetaData";
	
	/* ----------------------------------------- */
	/* -------------- Table Columns ------------ */
	/* ----------------------------------------- */
	
	public static final String TBLCOL_RELEASEID = "releaseID";
	public static final String TBLCOL_RELEASEURI = "releaseURI";
	public static final String TBLCOL_RELEASEDATE = "releaseDate";
	public static final String TBLCOL_BASEDONRELEASE = "basedOnRelease";
	public static final String TBLCOL_RELEASEAGENCY = "releaseAgency";
	public static final String TBLCOL_ENTITYDESCRIPTION = "entityDescription";
	
	
	public static final String TBLCOL_REVISIONID = "revisionID";
	public static final String TBLCOL_REVISIONRELEASEURI = "revisionReleaseURI";
	public static final String TBLCOL_CHANGEAGENT = "changeAgent";
	public static final String TBLCOL_REVISIONDATE = "revisionDate";
	public static final String TBLCOL_REV_APPLIED_DATE = "revAppliedDate";
	public static final String TBLCOL_EDITORDER = "editOrder";
	public static final String TBLCOL_CHANGEINSTRUCTIONS = "changeInstructions";
	public static final String TBLCOL_ISZIPPED = "isZipped";
	public static final String TBLCOL_REVISIONDATA = "revisionData";
	public static final String TBLCOL_PREVREVISIONDATA = "prevRevisionData";
	
	

	
	
}